# inttrap

integration of experimental data by trapezoidal interpolation

## Calling Sequence

    v = inttrap([x,] s)

## Arguments

x

  vector of increasing x coordinate data. Default value is `1:size(s,'*')`

s

  vector of y coordinate data

v

  value of the integral

## Description

Computes:

`s(i)=f(x(i))` and `x0=x(1)`, `x1=x(n)`

where `f` is a function described by a set of experimental values.

Between mesh points function is interpolated linearly.

## Examples

    t=0:0.1:%pi
    inttrap(t,sin(t))

## See Also

- intg
- intc
- intl
- integrate
- intsplin
- splin